=== qtdbus/CMakeLists.txt ===
add_subdirectory( src )
add_subdirectory( lib )
add_subdirectory( tools )
add_subdirectory( t )
