=== qtcore/tools/CMakeLists.txt ===
add_subdirectory( puic )
add_subdirectory( prcc )
