=== qtdbus/t/CMakeLists.txt ===
# Class tests
macro_prove(perlqt_qtdbus4_load ${CMAKE_CURRENT_SOURCE_DIR}/a_loading.t)
