=== qttest/t/CMakeLists.txt ===
# Class tests
macro_prove(perlqt_qttest4_load ${CMAKE_CURRENT_SOURCE_DIR}/a_loading.t)

macro_prove(perlqt_qsignalspy ${CMAKE_CURRENT_SOURCE_DIR}/qsignalspy.t)
macro_prove(perlqt_qtesteventlist ${CMAKE_CURRENT_SOURCE_DIR}/qtesteventlist.t)
