=== debian/changelog ===
perlqt (4:4.14.1-0ubuntu7) xenial; urgency=medium

  * Remove libqtwebkit4-perl binary package, since WebKit support has been
    removed from smokeqt (see https://bugs.debian.org/784528).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 28 Dec 2015 04:18:27 +0000

perlqt (4:4.14.1-0ubuntu6) xenial; urgency=medium

  * Rebuild for Perl 5.22.1.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 18 Dec 2015 12:54:27 +0000

perlqt (4:4.14.1-0ubuntu5) xenial; urgency=medium

  * No-change rebuild against libsmokeqttest4-3

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 07 Nov 2015 23:08:47 +0000

perlqt (4:4.14.1-0ubuntu4) wily; urgency=medium

  * No-change rebuild against libsmokeqtcore4-3v5

 -- Matthias Klose <doko@ubuntu.com>  Mon, 31 Aug 2015 21:27:24 +0200

perlqt (4:4.14.1-0ubuntu3) wily; urgency=medium

  * No-change rebuild against libsmokeqtcore4-3v5

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 12 Aug 2015 01:17:15 +0000

perlqt (4:4.14.1-0ubuntu2) vivid; urgency=medium

  * Add debian/patches/additionalperl5.20.diff from upstream to complete
    Perl 5.20 compatibility fixes

 -- Scott Kitterman <scott@kitterman.com>  Fri, 31 Oct 2014 20:22:50 -0400

perlqt (4:4.14.1-0ubuntu1) utopic; urgency=medium

  * New upstream release 
  * Add back perl5.20.diff patch needed for kdeperl build. 

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 22 Sep 2014 17:59:31 +0200

perlqt (4:4.14.0-0ubuntu3) utopic; urgency=medium

  * Adjust *.install to handle vendorarch change in Perl 5.20.  Requires
    debhelper 9 for executable configuration files.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 21 Aug 2014 18:54:46 +0100

perlqt (4:4.14.0-0ubuntu2) utopic; urgency=medium

  * Rebuild for Perl 5.20.0.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 21 Aug 2014 13:34:59 +0100

perlqt (4:4.14.0-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 20 Aug 2014 13:43:53 +0200

perlqt (4:4.13.97-0ubuntu1) utopic; urgency=medium

  * New upstream beta release RC

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Fri, 01 Aug 2014 17:34:33 +0200

perlqt (4:4.13.95-0ubuntu1) utopic; urgency=medium

  * New upstream beta release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Wed, 30 Jul 2014 20:55:49 +0200

perlqt (4:4.13.90-0ubuntu1) utopic; urgency=medium

  [ Scarlett Clark ]
  * New upstream beta release

  [ Jonathan Riddell ]
  * Add build-dep on pkg-config

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Thu, 24 Jul 2014 23:46:29 +0200

perlqt (4:4.13.2-0ubuntu1) utopic; urgency=medium

  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 18 Jun 2014 12:09:50 +0100
