=== debian/control ===
--- 
+++ 
@@ -38,6 +38,7 @@
          libqtsvg4-perl (= ${binary:Version}),
          libqttest4-perl (= ${binary:Version}),
          libqtuitools4-perl (= ${binary:Version}),
+         libqtwebkit4-perl (= ${binary:Version}),
          libqtxml4-perl (= ${binary:Version}),
          libqtxmlpatterns4-perl (= ${binary:Version}),
          ${misc:Depends},
@@ -284,6 +285,20 @@
  .
  It enables the use of Qt applications written in perl. For more details
  see the libqtcore4 package.
+ .
+ This Package is part of the PerlQt module.
+
+Package: libqtwebkit4-perl
+Architecture: any
+Depends: libqtcore4-perl (= ${binary:Version}),
+         ${misc:Depends},
+         ${perl:Depends},
+         ${shlibs:Depends}
+Description: perl bindings for the Qt Webkit library
+ This package contains perl bindings for the Qt Webkit library.
+ .
+ It enables the use of Qt applications written in perl. For more details
+ see the libqtwebkit4 package.
  .
  This Package is part of the PerlQt module.
 
@@ -322,6 +337,7 @@
           libqtsvg4-perl (= ${binary:Version}),
           libqttest4-perl (= ${binary:Version}),
           libqtuitools4-perl (= ${binary:Version}),
+          libqtwebkit4-perl (= ${binary:Version}),
           libqtxml4-perl (= ${binary:Version}),
           libqtxmlpatterns4-perl (= ${binary:Version})
 Description: debugging symbols for the perl Qt4 bindings.
